For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
            • GETList Transactions
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementOrder Operations

List Transactions

GET
https://api.bigcommerce.com/stores/:store_hash/v3/orders/:order_id/transactions
GET
/stores/:store_hash/v3/orders/:order_id/transactions
$curl https://api.bigcommerce.com/stores/store_hash/v3/orders/1/transactions \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "event": "purchase",
5 "method": "credit_card",
6 "amount": 49.99,
7 "currency": "USD",
8 "gateway": "2checkout",
9 "gateway_transaction_id": "TXN123456789",
10 "test": false,
11 "status": "ok",
12 "fraud_review": false,
13 "reference_transaction_id": 12345,
14 "offline": {
15 "display_name": "Check Payment"
16 },
17 "custom": {
18 "payment_method": "Manual Bank Transfer"
19 },
20 "payment_method_id": "pm_987654321",
21 "id": 1001,
22 "order_id": "5001",
23 "date_created": "2024-01-15T09:30:00Z",
24 "payment_instrument_token": "bpay_tok_abc123",
25 "avs_result": {
26 "code": "Y",
27 "message": "Address and postal code match",
28 "street_match": "Y",
29 "postal_match": "Y"
30 },
31 "cvv_result": {
32 "code": "M",
33 "message": "CVV matched"
34 },
35 "credit_card": {
36 "card_type": "visa",
37 "card_iin": "411111",
38 "card_last4": "1111",
39 "card_expiry_month": 12,
40 "card_expiry_year": 2026
41 },
42 "gift_certificate": {
43 "code": "MB345",
44 "original_balance": 100,
45 "starting_balance": 100,
46 "remaining_balance": 35.42,
47 "status": "active"
48 },
49 "store_credit": {
50 "remaining_balance": 35.42
51 },
52 "custom_provider_field_result": {
53 "receipt_number": "RCPT789456",
54 "authorization_code": "AUTH1234",
55 "fraud_response": "No fraud detected",
56 "amount_received": 49.99
57 },
58 "provider_instrument_token": "prov_tok_xyz789",
59 "provider_customer_id": "cust_456def"
60 }
61 ],
62 "meta": {
63 "pagination": {
64 "total": 1,
65 "count": 1,
66 "per_page": 50,
67 "current_page": 1,
68 "total_pages": 1,
69 "links": {
70 "previous": null,
71 "current": "?page=1&limit=50",
72 "next": null
73 }
74 }
75 }
76}
Returns an **orderʼs** transactions. **Usage Notes** * Depending on the payment method, different information will be available (not all payment gateways return full card or fraud detail). Requires at least one of the following scopes: * `store_v2_transactions_read_only` * `store_v2_transactions`
Was this page helpful?
Previous

Order Operations

Next

List Order Metafields

Built with

Returns an orderʼs transactions.

Usage Notes

  • Depending on the payment method, different information will be available (not all payment gateways return full card or fraud detail).

Requires at least one of the following scopes:

  • store_v2_transactions_read_only
  • store_v2_transactions

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Order Transactions | read and modify `transactions` and `payment_methods` | `store_v2_transactions` | | Order Transactions | read `transactions` and `payment_methods` | `store_v2_transactions_read_only` | | Orders | read and modify `payment_methods` |`store_v2_orders`| | Orders | read `payment_methods` |`store_v2_orders_read_only`| ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

order_idintegerRequired

The ID of the Order to which the transactions belong.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

Response payload for the BigCommerce Order Transactions API.
datalist of objects
metaobject

Errors

404
Not Found Error
503
Service Unavailable Error

OAuth scopes

UI NamePermissionParameter
Order Transactionsread and modify transactions and payment_methodsstore_v2_transactions
Order Transactionsread transactions and payment_methodsstore_v2_transactions_read_only
Ordersread and modify payment_methodsstore_v2_orders
Ordersread payment_methodsstore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.